---- ************************
---- Buchtitel_import

use DWH_staging
GO

-- 1st SQL-Task
TRUNCATE TABLE  DWH_staging.Import.Buecher ;
GO


-- 2nd SQL-Task

Declare @file    varChar(255) 
Set     @file = 'E:\_work\_current_ImportFiles\Buecher_2009.xml'

Declare @sqlCmd  varChar(400)
	  , @xmlVar  xml

Declare @tmpTable Table (col1 varchar(max))
Set @sqlCmd  = ' Select * From OPENROWSET ( BULK ''' + @file + ''', SINGLE_BLOB ) AS x ';

Insert Into @tmpTable
exec( @sqlCmd )

Set  @xmlVar = ( select Top(1) col1 from @tmpTable );
select @xmlVar
----

Declare @i int;  -- idoc
Execute sp_xml_preparedocument @i OutPut , @xmlVar

INSERT INTO DWH_staging.Import.Buecher							 
SELECT *
FROM   OpenXML ( @i, '/Buecherliste/Buch' ) 
WITH  ( Buch_ID         nvarChar(100)  '@ID'
      , Buchtitel       nvarChar(100)  'Buchtitel'
      , Autor           nvarChar(100)  'Autor'
      , Reihe           nvarChar(100)  'Reihe'
      , ISBN            nvarChar(100)  'ISBN'	 
	  , Preis           nvarChar(100)  'Preis'
	  )  

Execute sp_xml_removedocument @i  

SELECT @@ROWCOUNT as 'xmlRows'
-- http://technet.microsoft.com/en-us/library/ms187316.aspx

--  end