-- CREATE DWH_... DBs
USE master
GO

CREATE DATABASE DWH_main
 ON Primary 
( NAME = N'DWH_main'
, FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL12.MSSQLSERVER\MSSQL\DATA\DWH_main.mdf' 
, SIZE = 10240KB )
 LOG ON 
( NAME = N'DWH_main_log'
, FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL12.MSSQLSERVER\MSSQL\DATA\DWH_main_log.ldf' 
, SIZE = 2048KB )
GO
ALTER DATABASE DWH_main SET COMPATIBILITY_LEVEL = 120
GO

----
CREATE DATABASE DWH_staging
 ON  PRIMARY 
( NAME = N'DWH_staging'
, FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL12.MSSQLSERVER\MSSQL\DATA\DWH_staging.mdf' 
, SIZE = 3072KB )
 LOG ON 
( NAME = N'DWH_staging_log'
, FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL12.MSSQLSERVER\MSSQL\DATA\DWH_staging_log.ldf' 
, SIZE = 1024KB )
GO
ALTER DATABASE [DWH_staging] SET COMPATIBILITY_LEVEL = 120;
GO

----
CREATE DATABASE DWH_tool
 ON  PRIMARY 
( NAME = N'DWH_tool'
, FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL12.MSSQLSERVER\MSSQL\DATA\DWH_tool.mdf' 
, SIZE = 3072KB )
 LOG ON 
( NAME = N'DWH_tool_log'
, FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL12.MSSQLSERVER\MSSQL\DATA\DWH_tool_log.ldf' 
, SIZE = 1024KB )
GO
ALTER DATABASE [DWH_tool] SET COMPATIBILITY_LEVEL = 120;
GO
-------------------